Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.grizzly
Class GrizzlyConnector

    java.lang.Object
      org.mortbay.component.AbstractLifeCycle
          org.mortbay.jetty.AbstractBuffers
              org.mortbay.jetty.AbstractConnector
                  org.mortbay.jetty.nio.AbstractNIOConnector
                      org.mortbay.jetty.grizzly.GrizzlyConnector

All Implemented Interfaces:
  LifeCycle, Buffers, Connector, NIOConnector

Direct Known Subclasses:
  GrizzlyConnectorAdapter

    public class GrizzlyConnector

extends AbstractNIOConnector

Author:
  gregw

Field Summary
`protected JettySelectorThread` | `_selectorThread`

Fields inherited from class org.mortbay.jetty.AbstractConnector
`_lowResourceMaxIdleTime, _maxIdleTime, _soLingerTime`

Constructor Summary
`GrizzlyConnector()` Constructor.

Method Summary
`void` | `accept(int acceptorID)`
`void` | `close()`
`void` | `customize(EndPoint endpoint, Request request)` Customize a request for an endpoint.
`protected void` | `doStart()`
`protected void` | `doStop()`
`Object` | `getConnection()`
`int` | `getLocalPort()`
`static void` | `main(String[] args)` temp main - just to help testing
`void` | `open()` Opens the connector
`void` | `stopAccept(int acceptorID)`

Methods inherited from class org.mortbay.jetty.nio.AbstractNIOConnector
`getUseDirectBuffers, newBuffer, setUseDirectBuffers`

Methods inherited from class org.mortbay.jetty.AbstractConnector
`configure, connectionClosed, connectionOpened, getAcceptors, getAcceptQueueSize, getConfidentialPort, getConfidentialScheme, getConnections, getConnectionsDurationAve, getConnectionsDurationMax, getConnectionsDurationMin, getConnectionsDurationTotal, getConnectionsOpen, getConnectionsOpenMax, getConnectionsOpenMin, getConnectionsRequestsAve, getConnectionsRequestsMax, getConnectionsRequestsMin, getHost, getIntegralPort, getIntegralScheme, getLowResourceMaxIdleTime, getMaxIdleTime, getName, getPort, getRequests, getResolveNames, getServer, getSoLingerTime, getStatsOn, getStatsOnMs, getThreadPool, isConfidential, isIntegral, join, newContinuation, persist, setAcceptors, setAcceptQueueSize, setConfidentialPort, setConfidentialScheme, setHost, setIntegralPort, setIntegralScheme, setLowResourceMaxIdleTime, setMaxIdleTime, setName, setPort, setResolveNames, setServer, setSoLingerTime, setStatsOn, setThreadPool, statsReset, toString`

Methods inherited from class org.mortbay.jetty.AbstractBuffers
`getBuffer, getHeaderBufferSize, getRequestBufferSize, getResponseBufferSize, returnBuffer, setHeaderBufferSize, setRequestBufferSize, setResponseBufferSize`

Methods inherited from class org.mortbay.component.AbstractLifeCycle
`isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mortbay.jetty.Connector
`getHeaderBufferSize, getRequestBufferSize, getResponseBufferSize, setHeaderBufferSize, setRequestBufferSize, setResponseBufferSize`

Methods inherited from interface org.mortbay.component.LifeCycle
`isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, start, stop`

Methods inherited from interface org.mortbay.io.Buffers
`getBuffer, returnBuffer`

Field Detail

### _selectorThread

    protected JettySelectorThread _selectorThread

Constructor Detail

### GrizzlyConnector

    public GrizzlyConnector()

  Constructor.

Method Detail

### getConnection

    public Object getConnection()

  Returns:
    the underlying socket, channel, buffer etc. for the connector.

### doStart

    protected void doStart()
                    throws Exception

  Overrides:
    `doStart` in class `AbstractConnector`
  Throws:
    `Exception`

### doStop

    protected void doStop()
                   throws Exception

  Overrides:
    `doStop` in class `AbstractConnector`
  Throws:
    `Exception`

### open

    public void open()
              throws IOException

  Description copied from interface: `Connector`
  Opens the connector

  Specified by:
    `open` in interface `Connector`
  Specified by:
    `open` in class `AbstractConnector`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Throws:
    `IOException`

### accept

    public void accept(int acceptorID)
                throws IOException

  Specified by:
    `accept` in class `AbstractConnector`
  Throws:
    `IOException`

### stopAccept

    public void stopAccept(int acceptorID)
                    throws Exception

  Overrides:
    `stopAccept` in class `AbstractConnector`
  Throws:
    `Exception`

### customize

    public void customize(EndPoint endpoint,
                          Request request)
                   throws IOException

  Description copied from interface: `Connector`
  Customize a request for an endpoint. Called on every request to allow customization of the request for the particular endpoint (eg security properties from a SSL connection).

  Specified by:
    `customize` in interface `Connector`
  Overrides:
    `customize` in class `AbstractConnector`
  Throws:
    `IOException`

### getLocalPort

    public int getLocalPort()

  Returns:
    The actual port the connector is listening on or -1 if there is no port or the connector is not open.

### main

    public static void main(String[] args)
                     throws Exception

  temp main - just to help testing

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.